package wind.android.bussiness.trade.abstocktrade.manager

import cn.com.hh.trade.data.TagAns_Fun1023_0
import cn.com.hh.trade.data.TagAns_Fun1023_1

/**
 * # ***********************************************************************************************
 * # ClassName:       OnAbAssetInfoResultListener.kt
 * # Description:     ab股交易 资产专用
 * # @author:         ylrong
 * # @version:        Ver 1.0
 * # Create Date:     2019/11/18 日 18:55
 * # ***********************************************************************************************
 */
interface OnAbAssetInfoResultListener<T> : OnAbResultListener<T> {

    /**
     * 资产信息回调
     *
     * @param data
     */
    fun onAssetInfo(data: Array<TagAns_Fun1023_0>?)

    /**
     * 持仓信息回调
     *
     * @param data
     */
    fun onHoldStock(data: Array<TagAns_Fun1023_1>?)
}