package wind.android.bussiness.trade.abstocktrade.view

import android.content.Context
import android.util.AttributeSet
import android.widget.LinearLayout
import wind.android.bussiness.trade.abstocktrade.NON_GGT_TYPE

/**
 * # **********************************************************************************************
 * # ClassName:      BaseTransferView
 * # Description:    银证转账基类
 * # Author:         ylrong
 * # Version:        Ver 1.0
 * # **********************************************************************************************
 * # Modified By:    ylrong     2019/11/26    14:26
 * # Modifications:  initial
 * # **********************************************************************************************
 */
abstract class BaseAStockTradeView @kotlin.jvm.JvmOverloads constructor(context: Context, attrs: AttributeSet? = null, defStyleAttr: Int = 0)
    : LinearLayout(context, attrs, defStyleAttr) {

    var ggType: Int = NON_GGT_TYPE

    abstract fun initView()
    abstract fun show()
    abstract fun hide()
    abstract fun destroyView()
}