package wind.android.f5.bussiness.investor.model

import android.os.Parcel
import android.os.Parcelable
import base.data.IData

/**
 * # ***********************************************************************************************
 * # ClassName:      InvestorQaModel$
 * # Function:       ${TODO}  ADD FUNCTION
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2020/1/21$    11:38$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class InvestorQaModel : Parcelable {

    var _id = ""

    var _index = ""

    var _type = ""

    var _source: InvestorSourceModel? = null

    var sort = ""

    var _score = 0

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeString(_id)
        parcel.writeString(_index)
        parcel.writeString(_type)
        parcel.writeParcelable(_source, flags)
        parcel.writeString(sort)
        parcel.writeInt(_score)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<InvestorQaModel> {
        override fun createFromParcel(parcel: Parcel): InvestorQaModel {
            val model = InvestorQaModel()
            model._id = parcel.readString()
            model._index = parcel.readString()
            model._type = parcel.readString()
            model._source = parcel.readParcelable(InvestorSourceModel::class.java.classLoader)
            model.sort = parcel.readString()
            model._score = parcel.readInt()
            return model
        }

        override fun newArray(size: Int): Array<InvestorQaModel?> {
            return arrayOfNulls(size)
        }
    }

}