package wind.android.f5.bussiness.investor.model

/**
 * # ***********************************************************************************************
 * # ClassName:      InvestorQaRequestModel$
 * # Function:       投资者问答请求参数
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2020/1/21$    13:25$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class InvestorQaRequestModel {

    /**
     * 服务名称
     */
    var indexName = ""

    /**
     * 页码
     */
    var pageIndex = 0

    /**
     * 每页数据量
     */
    var pageNum = 0

    /**
     * 搜索词	用户搜索词
     */
    var key = ""

    /**
     * 搜索的字段	fileds=unit,unitinfo（逗号分隔）
     */
    var fileds = ""

    /**
     * 高亮的字段	hfields=unit,unitinfo
     */
    var hfields = ""

    /**
     * 问题来源	ID形式，逗号分隔。
     */
    var source = ""

    /**
     * 问题类型	ID形式，逗号分隔。
     */
    var type = ""

    /**
     * 行业	ID形式，逗号分隔。
     */
    var industry = ""

    /**
     * F9的windcode
     */
    var dimension = ""
}