package wind.android.f5.bussiness.news.view

import wind.android.news.anews.NewsTitleModel

/**
 * # ***********************************************************************************************
 * # ClassName:      ISpeedNewsView$
 * # Function:       新闻列表更新接口
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2020/1/22$    14:21$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
interface ISpeedNewsView {

    /**
     * 下拉刷新，返回新闻
     */
    fun setNewsList(list: MutableList<NewsTitleModel>)

    /**
     * 上拉刷新，返回新闻
     */
    fun updateNewsList(list: MutableList<NewsTitleModel>)

    /**
     * 刷新龙虎榜数据
     */
    fun updateDragonData(model: NewsTitleModel)

    /**
     * 刷新投资者问答数据
     */
    fun updateInvestor(model: NewsTitleModel)

    /**
     * 上拉刷新结束
     */
    fun loadMoreComplete()
}