package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceF9ReportModel$
 * # Function:       单列数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/6$    17:07$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
data class FinanceF9RawModel @JvmOverloads constructor(var mType: String = "", var mDate: String = "", var mTitle: String = "",
                                                       val mData:MutableList<FinanceF9ContentModel> = mutableListOf(),
                                                       val currencyList: MutableList<FinanceCurrencyModel> = mutableListOf() ) {

    companion object {

        const val TYPE_YEAR_REPORT = "年报"

        const val TYPE_MIDDLE_REPORT = "中报"

        const val TYPE_FIRST_REPORT = "一季报"

        const val TYPE_THIRD_REPORT = "三季报"

        const val TYPE_FIRST_SEASON = "一季"

        const val TYPE_SECOND_SEASON = "二季"

        const val TYPE_THIRD_SEASON = "三季"

        const val TYPE_FOURTH_SEASON = "四季"
    }

    fun clone(model: FinanceF9RawModel) {
        mType = model.mType
        mDate = model.mDate
        mTitle = model.mTitle
        mData.addAll(model.mData)
        currencyList.addAll(model.currencyList)
    }
}