package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceF9DetailModel$
 * # Function:       报告期数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/6$    17:17$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class FinanceF9ReportModel {

    /**
     * 显示币种
     */
    var currency: String = ""

    /**
     * 原始币种
     */
    var originalCurrency: String = ""

    val mLeftTitles = mutableListOf<FinanceF9TitleModel>()

    val mTopTitles  by lazy { mutableListOf<String>() }

    val mAllList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mYearReportList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mMiddleReportList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mFirstReportList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mThirdReportList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mYearReportTitle by lazy { mutableListOf<String>() }

    val mMiddleReportTitle by lazy { mutableListOf<String>() }

    val mFirstReportTitle by lazy { mutableListOf<String>() }

    val mThirdReportTitle by lazy { mutableListOf<String>() }

}