package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceF9DetailModel$
 * # Function:       单季度数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/6$    17:17$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class FinanceF9SeasonModel {

    /**
     * 显示币种
     */
    var currency: String = ""

    /**
     * 原始币种
     */
    var originalCurrency: String = ""

    val mLeftTitles = mutableListOf<FinanceF9TitleModel>()

    val mTopTitles  by lazy { mutableListOf<String>() }

    val mAllList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mFirstSeasonList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mSecondSeasonList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mThirdSeasonList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mFourthSeasonList by lazy { mutableListOf<FinanceF9RawModel>() }

    val mFirstSeasonTitles by lazy { mutableListOf<String>() }

    val mSecondSeasonTitles by lazy { mutableListOf<String>() }

    val mThirdSeasonTitles by lazy { mutableListOf<String>() }

    val mFourthSeasonTitles by lazy { mutableListOf<String>() }
    
}