package wind.android.market.business.option.model

/**
 * # ***********************************************************************************************
 * # ClassName:      OptionDetailModel$
 * # Function:       期权详情数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2020/1/2$    11:22$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class OptionDetailModel {

    /**
     * 股票代码
     */
    var windCode = ""

    /**
     * 合同代码
     */
    var contractsCode = ""

    /**
     * 名称
     */
    var exName = ""

    /**
     * 月份
     */
    var month = ""

    /**
     * 执行价格
     */
    var strikePrice = ""

    var direction = ""

    var contractUnit = ""

    var multiplier = ""

    /**
     * 最新价
     */
    var newPrice: Float = 0f

    /**
     * 涨跌幅
     */
    var changeRange: Float = 0f

    /**
     * 隐藏波动率
     */
    var hidingVolatility: Float = 0f

    var delta: Float = 0f

    var gamma: Float = 0f

    var vega: Float = 0f

    var theta: Float = 0f

    /**
     * 买一
     */
    var buyPrice: Float = 0f

    /**
     * 卖一
     */
    var sellPrice: Float = 0f

    /**
     * 成交量
     */
    var volume: Float = 0f

    /**
     * 成交额
     */
    var totalAmount: Float = 0f

    /**
     * 持仓量
     */
    var position: Float = 0f

    /**
     * 杠杆倍数
     */
    var actualLevelTimes: Float = 0f

    /**
     * 内在价值
     */
    var innerPrice: Float = 0f

    /**
     * 时间价值
     */
    var timesPrice: Float = 0f

    /**
     *
     */
    var priceUnit = 0f
}