package wind.android.market.business.option.view

import net.datamodel.network.RealQuoteItem
import wind.android.market.business.option.model.OptionContentModel
import wind.android.market.business.option.model.OptionMonthModel
import wind.android.market.business.option.model.OptionTitleSpeedModel

/**
 * # ***********************************************************************************************
 * # ClassName:      IOptionDetailView$
 * # Function:       期权详情更新接口
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/25$    17:16$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
interface IOptionDetailView {

    fun setTitle(model: OptionTitleSpeedModel)

    fun updateTitle(item: RealQuoteItem)

    fun updateMonth(list: MutableList<OptionMonthModel>)

}