/*
	jumpType:
		1:url
		2:pagejump
		3:appjump
		4:url without data
		6:doFunction
 */
//key：{content:"", img:"", jumpType:1, target:"", userAction:"",bonreeAction:""}
!function(win,doc,$){
	//基础数据
	var BASE_DATA = {
		"tty":{content:"天天盈", img:"img/tty.png", jumpType:2, target:{functionid:"921500100051",id:""}, userAction:"921500100051",bonreeAction:""}
		,"yjdx":{content:"一键打新", img:"img/yjdx.png", jumpType:2, target:{functionid:"922600830023",id:"0"}, userAction:"921500100041",bonreeAction:"922601560097"}
		,"yjsz":{content:"一键申债", img:"img/yjdx.png", jumpType:2, target:{functionid:"922600830023",id:"1"}, userAction:"921500100041",bonreeAction:"922601560097"}
		,"xgzx":{content:"新股中心", img:"img/xgzx.png", jumpType:1, target:"https://wmstock.wind.com.cn/strategy/view/newstock/index.html", userAction:"",bonreeAction:""}
		,"gznhg":{content:"国债逆回购", img:"img/nhg.png", jumpType:2, target:{functionid:"921500100058",id:""}, userAction:"921500100058",bonreeAction:"922601560098"}
		,"hgt":{content:"港股通", img:"img/hgt.png", jumpType:2, target:{functionid:"92260165",id:""}, userAction:"922601560094",bonreeAction:"922601560100"}
		,"kfsjj":{content:"开放式基金", img:"img/kfsjj.png", jumpType:2, target:{functionid:"921500100097",id:""}, userAction:"921500100097",bonreeAction:"921500100097"}
		,"cnhbjj":{content:"场内货币基金", img:"img/cnhbjj.png", jumpType:2, target:{functionid:"921500100111",id:""}, userAction:"921500100111",bonreeAction:"921500100111"}
		,"fjb":{content:"分级B", img:"img/fjb.png", jumpType:2, target:{functionid:"80150003",id:"801500030032"}, userAction:"",bonreeAction:"922601560096"}
		,"ywbl":{content:"业务办理", img:"img/ywbl.png", jumpType:6, target:"funcYWBL", userAction:"",bonreeAction:"922601560099"}
		,"zcfx":{content:"资产分析", img:"img/ywbl.png", jumpType:6, target:"funcZCFX", userAction:"922601560093",bonreeAction:""}
		,"fdlc":{content:"国债逆回购", img:"img/nhg.png", jumpType:2, target:{functionid:"921500100058",id:""}, userAction:"921500100058",bonreeAction:""}
		,"fxpc":{content:"风险测评", img:"img/fxcp.png", jumpType:2, target:{functionid:"921500100114",id:""}, userAction:"921500100114",bonreeAction:""}
		,"cjcx":{content:"成交查询", img:"img/yjdx.png", jumpType:2, target:{functionid:"801500100005",id:""}, userAction:"",bonreeAction:""}
		,"xgph":{content:"新股配号", img:"img/xgzx.png", jumpType:2, target:{functionid:"921500100046",id:""}, userAction:"",bonreeAction:""}
		,"yzzz":{content:"银证转账", img:"img/money.png", jumpType:2, target:{functionid:"801500100006",id:""}, userAction:"",bonreeAction:""}
		,"jymm":{content:"修改交易密码", img:"img/zhaq.png", jumpType:2, target:{functionid:"921500100044",id:""}, userAction:"921500100044",bonreeAction:""}
		,"zjmm":{content:"修改资金密码", img:"img/zhaq.png", jumpType:2, target:{functionid:"921500100096",id:""}, userAction:"921500100096",bonreeAction:""}
		,"pa-lc":{content:"理财", img:"img/lc.png", jumpType:5, target:'https://stock.pingan.com/rzrqkh/plat/rzrq/index.html?aid=19794&sid=190005627&ouid=wdzx&em=1#!/business/index.html', userAction:""}
		,"pa-xjb":{content:"现金宝", img:"img/xjb.png", jumpType:5, target:'https://stock.pingan.com/omm/mobile/map.html?target=wdzx', userAction:""}
		,"pa-lryy":{content:"两融预约开户", img:"img/lryy.png", jumpType:5, target:'https://stock.pingan.com/omm/mobile/map.html?target=cash_wdzx', userAction:""}
		,"pa-cyb":{content:"创业板（创业板转签、预约开通）", img:"img/fxcp.png", jumpType:5, target:'https://login.stock.pingan.com/login/router.html?showOption=0&kbChannel=J&accountType=1&appName=WDZX&appChannel=LOGIN&backurl=https%3A%2F%2Fm.stock.pingan.com%2Fstatic%2Fsbp%2FGEM%2Frouter.html%3Faid%3D19794%26sid%3D190005908%26ouid%3Dwdzx', userAction:""}
	};
	var appversion = browser.versions.wstVer?browser.versions.wstVer[3] : "0.0.0";
	win.shellChannel;
	/*
	 * model:create model
	 * abort:abort item array
	 */
	win.CHANNEL_LINK = function(model,abort){
		
		var __model=model, __item=[];
		var __abort = abort||[];
		for(var k in __model){
			if(BASE_DATA.hasOwnProperty(k) && __abort.indexOf(k)<0){
				if(!__model[k].highVersion || !verCompare(__model[k].highVersion,appversion)){
					__model[k]["key"]=k;
					__item.push($.extend({},BASE_DATA[k],__model[k]));
				}
			}
		}
		/*
		 * options:{
		 * 		id:element id
		 * 	style:style class
		 * 	group: group by
		 * }
		 * 
		 * */
		var self=this;
		this.getUIData = function(options){
			var $body=$("<ul>");
			if(options.style){
				$body.addClass(options.style);
			}
			if(options.id){
				$body.attr("id",options.id);
			}
			if(options.group){
				var groupArray={};
				__item.forEach(function(obj,i){
					if(!obj["group"]){
						obj["group"]="other"
					}
					if(!groupArray[obj.group]){
						groupArray[obj.group] = $("<div class='group-body'>").attr("data-group",obj.group);
					}
					groupArray[obj.group].append(createItem(obj,i));
				})
				for(k in groupArray){
					$body.append(groupArray[k]);
				}
			} else {
				__item.forEach(function(obj,i){
					$body.append(createItem(obj,i));
				})
			}
			return $body;
			}
			this.getItem=function(){
				return __item;
			}
			this.getData = function(index){
				if(__item && __item.length>0 && __item.length >= index){
					return __item[index];
				} else {
					return undefined;
				}
			}
		return self;
	}
	var createItem = function(data,index){
		var $li = $("<li>").attr({"data-index":index,"data-key":data.key});
		if(data.hide){
			$li.css("display","none");
		}
		$("<icon><img src='"+data.img+"'/></icon>").appendTo($li);
		$("<content>").html(data.content).appendTo($li);
		$("<icon class='forward'>").appendTo($li);
		return $li;
	}
	
	win.jumpTo = function(type,data,isNeedLogin){
		if(!verCompare(data.lowVersion, appversion)){
			new MESSAGER().show("应用版本过低，请升至最新版");
		}
		if(isNeedLogin=="1"&&windshell.isanonymous()) {
			windshell.login("");
			return;
		}
		switch(''+type){
			case "0":
				break;
			case "1":
				/*url跳转*/
				var url = data;
				if(url.indexOf('http')<0){
					MESSAGER().show("参数异常");
					return;
				}
				var flag="?";
				if(url.indexOf("?")>=0) {
					flag="&";
				}
				
				url = url+flag+"skin="+baseSkin+"&site="+baseSite;
				windshell.openwebview(url);
				break;
			case "2":
				/*功能点跳转*/
				var d = unserializeJson(data);
				windshell.pagejump(JSON.stringify(d));
				break;
			case "3":
				/*启动app*/
				if(windshell.canopenapp(data)==true){
					windshell.openapp(data);
				} else {
					new MESSAGER().show("未检测到要启动的应用");
				}
				break;
			case "4":
				/*特殊的url跳转*/
				windshell.openwebview(data);
				break;
			case "6":
				/*doFunction*/
				var Fn = Function; //一个变量指向Function，防止有些前端编译工具报错
				var func = new Fn('return ' + data)();
				if(typeof func == "function"){
					func.call(this);
				}
				break;
		}
	}
}(window,document,Zepto);
!(function(win,doc,$){
	/*
	 * 模板
	 * 数据进行merge
	 * 相同key，以模板为准
	 * 排序以json顺序为准
	 * 支持的追加key为
	 * 	group:分组，如果未设置，则创建other组
	 *  lowVersion:最低支持版本，过低提示版本升级
	 * 	highVersion:最高支持版本，过高隐藏
	 * 	isNeedLogin:是否强制登录
	 * 	hide:默认隐藏
	 * */
	win.M_MORE_NORMAL= {
		"cjcx":{group:1}
		,"xgph":{group:1}
		,"yzzz":{group:1,hide:true}
		,"jymm":{group:2,hide:true}
		,"zjmm":{group:2,hide:true}
	}
	win.M_MAIN={
		"fjb":{}
		,"xgzx":{}
		,"yjdx":{}
		,"yjsz":{}
		,"fdlc":{}
		,"fxpc":{lowVersion:"6.9.0"}
	}
	win.channel_normal=function(brokerId){
		//do somthing
		var abortArr =[];
		return new CHANNEL_LINK(M_MAIN,abortArr);
	}
	win.more_normal = function(brokerId){
		return new CHANNEL_LINK(M_MORE_NORMAL);
	}
})(window,document,Zepto);
!(function(win,doc,$){
	//10320101 国金证券
	win.channel_10320101=function(brokerId){
		//do somthing
		var M_MAIN_10320101={
			"fjb":{}
			,"xgzx":{}
		}
		return new CHANNEL_LINK(M_MAIN_10320101);
	}
	win.more_10320101=function(brokerId){
		return new CHANNEL_LINK(M_MORE_NORMAL);
	}
})(window,document,Zepto);
!(function(win,doc,$){
	//10860101 湘财证券
	win.channel_10860101=function(brokerId){
		//do somthing
		windshell.shellreq(JSON.stringify({operate : "gettoken",callback : "setToken"}));
		if(browser.versions.xcstock){
			var M_MAIN_OEM_10860101={
				"tty":{group:1}
				,"yjdx":{group:2}
				,"yjsz":{group:2}
				,"xgzx":{group:2}
				,"gznhg":{group:3}
				,"hgt":{group:3}
				,"kfsjj":{group:4,lowVersion:'1.3.0'}
				,"cnhbjj":{group:4,lowVersion:'1.3.0'}
				,"fjb":{group:4}
				,"ywbl":{group:5,highVersion:'1.4.0'}
				,"zcfx":{group:5,highVersion:'1.4.0'}
			}
			return new CHANNEL_LINK(M_MAIN_OEM_10860101);
		} else {
			var M_MAIN_10860101={
				"fjb":{}
				,"xgzx":{}
				,"yjdx":{}
				,"yjsz":{}
				,"fdlc":{}
				,"ywbl":{}
				,"zcfx":{}
				,"hgt":{}
				,"fxpc":{}
			}
			return new CHANNEL_LINK(M_MAIN_10860101);
		}
	}
	win.more_10860101=function(brokerId){
		if(browser.versions.xcstock){
			var M_MORE_OEM_10860101={
				"jycx":{}
				,"xgph":{}
				,"yzzz":{}
				,"jymm":{}
				,"zjmm":{}
			}
			return new CHANNEL_LINK(M_MORE_OEM_10860101);
		} else {
			return new CHANNEL_LINK(M_MORE_NORMAL);
		}
	}
})(window,document,Zepto);
!(function(win,doc,$){
	//平安证券
	win.channel_10660101=function(brokerId){
		//do somthing
		var M_MAIN_10660101={
			"fjb":{}
			,"xgzx":{}
			,"yjdx":{}
			,"yjsz":{}
			,"fdlc":{}
			,"fxpc":{}
			,"pa-lc":{}
			,"pa-xjb":{}
			,"pa-lryy":{}
			,"pa-cyb":{}
		}
		return new CHANNEL_LINK(M_MAIN_10660101);
	}
	win.more_10320101=function(brokerId){
		return new CHANNEL_LINK(M_MORE_NORMAL);
	}
})(window,document,Zepto);