var g = 1;
!(function reFrame(){
	var ua=navigator.userAgent;
	var scale=1;
	var hWidth = Math.min(window.screen.width,document.documentElement.clientWidth,document.documentElement.getBoundingClientRect().width) || window.screen.width|| document.documentElement.clientWidth || document.documentElement.getBoundingClientRect().width;
	var hHeight = window.screen.height || document.documentElement.clientHeight || document.documentElement.getBoundingClientRect().height;
	
	var winDpr = document.getElementsByName("wind-ui-no-dpr");
	scale = (hHeight * 100 / 178) / hWidth;
	if(!scale || scale<=0 || scale>1){
		scale=1;
	}
	if(winDpr.length==0||winDpr[0].content!="true"){
		if(!!ua.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) {
			g = 1 / window.devicePixelRatio.toFixed();
		}
	}
	
	if(hWidth>640) {
		hWidth = 640;
	}
	var rod = hWidth / 100;
	
	var winScale = document.getElementsByName("wind-ui-scale-by-375");
	if(winScale.length!=0&&winScale[0].content=="true"){
		rod=3.75;
		scale = 1;
	}
	var winScreen = document.getElementsByName("wind-ui-lock-screen-scale");
	if(winScreen.length!=0&&winScreen[0].content=="true"){
		scale = 1;
	}
	document.documentElement.setAttribute("view-dpr", g);
	document.documentElement.setAttribute("device-dpr", window.devicePixelRatio);
	var vp = document.getElementsByName("viewport");
	if(vp.length > 0) {
		vp[0].setAttribute("content","initial-scale=" + g +",maximum-scale="+g+",minimum-scale="+g+",user-scalable=no");
	}
	document.documentElement.style.fontSize = ((window.innerWidth ||  window.screen.width|| document.documentElement.clientWidth || document.documentElement.getBoundingClientRect().width)  * scale / rod).toFixed() + 'px';
//	$(window).one("resize",reFrame);
})();
/*==============================String===============================*/
String.prototype.format = function () {
    var result = this;
    if (arguments.length > 0) {
        for (var i = 0; i < arguments.length; i++) {
            var argument = arguments[i];
            if (argument === undefined || argument === null) {
                argument = '';
            }
            var reg = new RegExp("({[" + i + "]})", "g");
            result = result.replace(reg, arguments[i] || '');
        }
    }
    return result;
};
String.prototype.isEmpty = function(){
	var str = this.replace(/\s+/g,"");
	if(str.length > 0) {
		if(Number(str)>0){
			return false;
		}
	}
	return true;
}
String.prototype.startWith = function (str) {
    if (str == null || str == "" || this.length == 0 || str.length > this.length)
        return false;
    if (this.substr(0, str.length) == str)
        return true;
    else
        return false;
    return true;
}
String.prototype.endWith = function (str) {
    if (str == null || str == "" || this.length == 0 || str.length > this.length)
        return false;
    if (this.substring(this.length - str.length) == str)
        return true;
    else
        return false;
    return true;
}
/*==============================Array===============================*/
Array.prototype.removevalue = function (val) {
    var index = this.indexOf(val);
    if (index > -1) {
        this.splice(index, 1);
    }
};
Array.prototype.group=function(length){
	var index = 0;
    var newArray = [];
    while(index < this.length) {
        newArray.push(this.slice(index, index += length));
    }
    return newArray;
}
/*==============================Date===============================*/
/** * 对Date的扩展，将 Date 转化为指定格式的String * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q)
    可以用 1-2 个占位符 * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) * eg: * (new
    Date()).pattern("yyyy-MM-dd hh:mm:ss.S")==> 2006-07-02 08:09:04.423      
 * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04      
 * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04      
 * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04      
 * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18      
 */
Date.prototype.formart = function(fmt){
	
 	var o = {         
	    "M+" : this.getMonth()+1, //月份         
	    "d+" : this.getDate(), //日         
	    "h+" : this.getHours()%12 == 0 ? 12 : this.getHours()%12, //小时         
	    "H+" : this.getHours(), //小时         
	    "m+" : this.getMinutes(), //分         
	    "s+" : this.getSeconds(), //秒         
	    "q+" : Math.floor((this.getMonth()+3)/3), //季度         
	    "S" : this.getMilliseconds() //毫秒         
    };         
    var week = {         
	    "0" : "日",         
	    "1" : "一",         
	    "2" : "二",         
	    "3" : "三",         
	    "4" : "四",         
	    "5" : "五",         
	    "6" : "六"        
    };
    if(/(y+)/.test(fmt)){         
        fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));         
    }         
    if(/(E+)/.test(fmt)){         
        fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "星期" : "周") : "")+week[this.getDay()+""]);         
    }         
    for(var k in o){         
        if(new RegExp("("+ k +")").test(fmt)){         
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));         
        }         
    }         
    return fmt;         
};
/*
 '20170101'==>2017010100000000的时间戳
 * */
function getDateFromString(shortDate){
	var tempdate = (''+shortDate).match(/(\d{4})(\d{2})(\d{2})/);
	if(!tempdate){
		return null;
	}
	if(tempdate[2]){
		tempdate[2]--;
	}
	var d=new Date(tempdate[1],tempdate[2],tempdate[3])
	return d;
}
/*====================================其他===================================*/
/**
 * convertToREM("<div style='fontsize:12px;padding:100px;margin:5px;'></div>")
 * ==>
 * "<div style='fontsize:0.12rem;padding:1rem;margin:0.05rem;'></div>"
 * @param {Object} str
 * @param {Object} rod 转换比例 默认1rem=100px
 */
function convertToREM(str,rod){
	if(!rod) {
		rod=100;
	}
	var r = str.replace(/(\d+)px/g,function(a,b){
		return Number(b) / rod + 'rem';
	})
	return r;
}
   /**
 * 是否为新版本 
 * @param {Object} baseVer
 * @param {Object} curVer
 */
function verCompare(baseVer, curVer){
	var arr1 = (''+baseVer).split(".");
	var arr2 = (''+curVer).split(".");
	
	for(var i=0; i<arr1.length; i++){
		var tmp1 = Number(arr1[i])|| 0;
		var tmp2 = Number(arr2[i])|| 0;
		if(tmp1 > tmp2) {
			return false;
		} else if(tmp1 < tmp2) {
			return true;
		}
	}
	return true;
};
/*common*/
;(function(win,doc,$) {
	win.ctrlType = !!navigator.userAgent.match(/Mobile/)?'tap':'click';
	win.getJsonLength=function(obj) {
		var i = 0;
		for(var key in obj){
			i++;
		}
		return i;
	}
	
	win.CLONE = function (obj) {
	    var tmp = obj;
	    if (typeof obj == "object") {
	        if (Object.prototype.toString.call(obj).toLowerCase() == "[object object]") {
	            tmp = JSON.stringify(obj);
	            tmp = JSON.parse(tmp);
	        } else if (Object.prototype.toString.call(obj).toLowerCase() == "[object array]") {
	            tmp = obj.slice(0);
	        }
	    }
	    return tmp;
	};
	/*json array反序列化*/
	win.unserializeJson=function(obj) {
	    try {
	        if (!obj) {
	            return obj;
	        } else if (typeof obj == "string" && obj.indexOf("{")>=0) {
	            return JSON.parse(obj);
	        } else if (typeof obj == "object"
	            && (Object.prototype.toString.call(obj).toLowerCase() == "[object array]"
	            || Object.prototype.toString.call(obj).toLowerCase() == "[object object]")) {
	            return obj;
	        } else {
	            return JSON.parse(obj);
	        }
	    } catch (e) {
	    	return obj;
	    }
	};
	/*将json的key全小写（不包括array内的）*/
	win.ignorKeyOfJson=function(obj) {
	    if (Object.prototype.toString.call(obj).toLowerCase() == "[object object]") {
	        var tmp = {};
	        for (var key in obj) {
	            var myKey = key.toLowerCase();
	            if (typeof(obj[key]) == "object"
	                && Object.prototype.toString.call(obj[key]).toLowerCase() == "[object object]"
	                && (!obj[key].length)) {
	                tmp[myKey] = ignorKeyOfJson(obj[key]);
	            } else {
	                tmp[myKey] = obj[key];
	            }
	
	        }
	        return tmp;
	    } else {
	        return obj;
	    }
	};
	/*千分位*/
	win.separator=function(strNumber) {
	    return segmentation(strNumber,false,",",3);
	};
	/*卡号分隔*/
	win.splitCard=function(strNumber) {
		return segmentation(strNumber,true," ",4);
	}
	/*身份证分隔*/
	win.splitIdCard=function(strNumber,sign) {
		sign = sign||' '
		var reg = eval('/'+sign+'/g');
		strNumber = (''+strNumber).replace(reg,"");
		if(strNumber.length == 0) {
			return "";
		}
		var length = strNumber.length<18? 6:8;
		var s1 = strNumber.substr(0,3),
			s2 = strNumber.substr(3,3),
			s3 = strNumber.substr(6,length),
			s4 = strNumber.substr(6+length);
		var str = s1 + (s2.length>0?(sign+s2):"") + (s3.length>0?(sign+s3):"") + (s4.length>0?(sign+s4):"");
		s1=s2=s3=s4=null;
		return str;
	}
	/*字符串分隔*/
	/*
	 * segmentation("1111111.10",true,',',4); ==> 1111,11.10
	 * segmentation("1111111.10",false,',',4);==> 11,1111.10
	 */
	win.segmentation=function(str, isLeft, sign, digit) {
		var tmp = '' + str
	    var x, x1, x2, rgx, s=sign||',',d=digit||4;
	    x = tmp.split('.');
	    x1 = x[0];
	    x2 = x.length > 1 ? '.' + x[1] : '';
	    if(isLeft) {
	    	rgx = eval('/(\\d{'+d+'})(\\d+)/');
	    } else {
	    	rgx = eval('/(\\d+)(\\d{'+d+'})/');
	    }
	    while (rgx.test(x1)) {
	        x1 = x1.replace(rgx, '$1'+s+'$2');
	    }
	    return x1 + x2;
	}
	/**
	 * 合并两个json的值（交集）
	 * @param {Object} baseJson
	 * @param {Object} newJson
	 * @param {boolean} ignore 是否忽略大小写
	 */
	win.JSONIntersection=function(baseJson, newJson, ignore) {
	    for (var key in newJson) {
	        var myKey;
	        if (ignore) {
	            myKey = key.toLowerCase();
	        } else {
	            myKey = key;
	        }
	        if (baseJson.hasOwnProperty(myKey)) {
	            if (typeof(baseJson[myKey]) == "object"
	                && Object.prototype.toString.call(baseJson[myKey]).toLowerCase() == "[object object]"
	                && !baseJson[myKey].length) {
	                JSONIntersection(baseJson[myKey], newJson[key]);
	            } else {
	                baseJson[myKey] = newJson[key];
	            }
	        }
	    }
	};
	
	win.StringBuffer = function(){
		var str = new Array();
		function SB(){
			this.append=function (s) {
		        str.push(s);
		    }
		    this.toString=function () {
		        return str.join('');
		    },
		    this.getLength=function () {
		        return str.join('').length;
		    }
		   this.isEmpty=function () {
		        return str.join('').length == 0;
		    }
			this.release=function () {
		        return str = [];
		    }
			var self = this;
			return self;
		}
		return new SB();
	};
	win.TextUtils = {
	    formatTxtByColor: function (str, color) {
	        if (undefined == str || str == null) {
	            return str;
	        }
	        var arr = str.match(/\d+/g);
            var finalStr = "";
            var arrTemp = new Array();
	        if (arr) {
	            for (var i = 0; i < arr.length; ++i) {
                    var splitStr = str.split(arr[i]);
                    arrTemp.push(splitStr[0]);
                    str = splitStr[1];
	            }
                for (var i = 0; i < arrTemp.length; ++i) {
                    finalStr +=arrTemp[i]+"<font style='color:" + color + ";'>" + arr[i] + "</font>"
                }
                finalStr+=str;
                return finalStr;
	        }
            return str;
	    },
	    formatIncome: function (m) {
	        if (m < 0) {
	            var temp = this.fixString(m);
	            var positiveValue = temp;
	            if (temp.indexOf("-") > 0) {
	                positiveValue = temp.substring(1, temp.length);
	            }
	            return separator(positiveValue);
	        } else {
	            return separator(m);
	        }
	    },
	    getUnit: function (n) {
	        var tmp = n || '0';
	        if (Math.abs(tmp) >= 100000000) {//亿
	            return "亿";
	        } else if (Math.abs(tmp) >= 10000) { //万
	            return "万";
	        } else {
	            return "";
	        }
	    },
	    simpleNum: function (n) {
	        var tmp = n || '0';
	        if (Math.abs(tmp) >= 100000000) {
	            tmp = this.fixNumber(tmp / 100000000).toFixed(2);
	        } else if (Math.abs(tmp) >= 10000) { //万
	            tmp = this.fixNumber(tmp / 10000).toFixed(2);
	        }
	        return tmp;
	    },
	    fixNumber: function (number) {
	        if (typeof number == 'number') {
	            return number;
	        } else if (typeof number == 'string') {
	            if (!isNaN(number)) {
	                return new Number(number);
	            } else {
	                return 0;
	            }
	        } else {
	            return 0;
	        }
	    },
	    fixStringRate: function (str) {
	        var temp = this.fixString(str);
	        if (temp.length > 0 && ( "%" == temp.substr(temp.length - 1, 1))) {
	            return temp;
	        } else {
	            return temp + "%"
	        }
	    },
	    isEmpty: function (strData) {
	        var temp = this.fixString(strData);
	        return temp.length == 0 ? true : false;
	    },
	    fixString: function (str) {
	        if (typeof str == "string") {
	            return str;
	        } else if (typeof str == "number") {
	            return '' + str;
	        } else if (typeof str == 'object') {
	            return JSON.stringify(str);
	        } else {
	            return "";
	        }
	    },
	    subFixString: function (strData, index, end) {
	        if (!TextUtils.isEmpty(strData) && strData.length > index) {
	            return strData.substring(index, end);
	        }
	        return strData;
	    },
	}
	win.inputBlur = function(){
		var tag = false;
		if($(doc.activeElement)[0].tagName.toLowerCase() == "input") {
			tag=true;
		}
		$(doc.activeElement)[0].blur();
		return tag
	};
	win.isSubmit;
	win.checkSubmit = function(){
		if(win.isSubmit){
			return false;
		}
		win.isSubmit = true;
		setTimeout(function(){
			win.isSubmit =false;
		},301);
		return true;
	};
	win.prefixInteger=function(num, n) {
	  return (Array(n).join(0) + num).slice(-n);
	}
})(window,document,Zepto);
/*business*/
;(function(win,doc,$){
	win.getParameter=function(url) {
	    var args = {};
	    if (!url) {
	        return {};
	    }
	    var searchers = url.split("?");
	    if(searchers.length > 2){
	    	searchers = [url.substr(1)];
	    }
	    for(var j=0;j<searchers.length; j++){
		    var searcher = searchers[j].split("&");
		    for (var i = 0; i < searcher.length; i++) {
		        var item = [];
	        	var equal = searcher[i].indexOf("=");
	        	item.push(searcher[i].substr(0,equal));
	        	item.push(searcher[i].substr(equal+1))
		        if(String(item[0])) {
			        if(item[1] == "true" || item[1] == "false") {
			        	args[item[0].toLowerCase()] = eval(item[1]);
			        } else {
			        	args[item[0].toLowerCase()] = item[1]||"";
			        }
		        }
		        item = null;
		        equal = null;
		    }
		    searcher=null;
	    }
	    searchers = null;
	    return args;
	};
	win.formatSearcher=function(s) {
	    var search = "?";
	    for (var key in s) {
	        var value = s[key];
	        search += (key + '=' + value + '&');
	    }
	    var lastIndex = search.lastIndexOf("&");
	    if (lastIndex == search.length - 1) {
	        search = search.substr(0, lastIndex);
	    }
	    return search;
	};
	win.getSearcherWithoutKeys=function(keys){
		if(!keys) {
			keys = [];
		}
		var search = "?";
	    for (var key in shellParams) {
	        var value = shellParams[key];
	        if(keys.indexOf(key) >=0) {
	        	continue;
	        }
	        search += (key + '=' + value + '&');
	    }
	    var lastIndex = search.lastIndexOf("&");
	    if (lastIndex == search.length - 1) {
	        search = search.substr(0, lastIndex);
	    }
	    return search;
	};
	win.getSearcherWithKeys=function(keys){
		if(!keys) {
			keys = [];
		}
		var search = "?";
	    for (var key in shellParams) {
	        var value = shellParams[key];
	        if(keys.indexOf(key) <0) {
	        	continue;
	        }
	        search += (key + '=' + value + '&');
	    }
	    var lastIndex = search.lastIndexOf("&");
	    if (lastIndex == search.length - 1) {
	        search = search.substr(0, lastIndex);
	    }
	    return search.length==1 ? '?1=1' : search;
	};
	win.URLforward=function(url,backTo){
		if(history.replaceState) {
			if(backTo){
				var tag="?";
				if(url.indexOf("?")>=0) {
					tag="&";
				}
		    	win.location.href=url+tag+"source="+encodeURIComponent(backTo);
			} else {
				history.replaceState({}, "", url);
		    	win.location.reload();
			}
		} else {
			win.location=url
		}
	};
})(window,document,Zepto);
;(function(win,doc,$){
	//post传输
	win.DATAHELPER_POST = function (focusUrl, cmdCode, params, callback, err) {
		if(platformInfo.debug==1){
			params["userId"] = win.windshell.getuserid();
		}
	   	var AJAX = $.ajax({
	        url: focusUrl
	        , dataType: 'json'
	        , type: "post"
	        , cache: false
	        , async: true
	        , data: {
	            "clientInfo": JSON.stringify(platformInfo)
	            , "cmdCode": cmdCode
	            , "sessionId": win.windshell.getsessionid()
	            , "param": JSON.stringify(params)
	        }
	        , timeout: 5000
	        , success: function(result, textStatus) {
	        	AJAX = null;
	        	var data = unserializeJson(result);
	        	if(!data.success) {
					err&&err.call(this,data,data.resultCode,data.resultMessage);
	        	} else {
	        		callback&&callback.call(this, data, textStatus)
	        	}
	        }
	        , error: function(XMLHttpRequest, textStatus, errorThrown) {
	        	AJAX = null;
            	err&&err.call(this, XMLHttpRequest, textStatus, errorThrown)
	        }
	    });
	};
	win.DATAHELPER_RESTFUL = function (target, params, callback, err) {
		var d ={
            "clientInfo": JSON.stringify(platformInfo)
            , "sessionId": win.windshell.getsessionid()
        }
		for(var k in params){
			d[k]=params[k];
		}
	   	var AJAX = $.ajax({
	        url: target
	        , dataType: 'json'
	        , type: "post"
	        , cache: false
	        , async: true
	        , data: d
	        , timeout: 5000
	        , success: function(result, textStatus) {
	        	AJAX = null;
	        	var data = unserializeJson(result);
	        		callback&&callback.call(this, data, textStatus)
	        }
	        , error: function(XMLHttpRequest, textStatus, errorThrown) {
	        	AJAX = null;
            	err&&err.call(this, XMLHttpRequest, textStatus, errorThrown)
	        }
	    });
	};
	win.DATAHELPER_POST_WITHOUT_SESSION = function (focusUrl, cmdCode, params, callback, err) {
	   	var AJAX = $.ajax({
	        url: focusUrl
	        , dataType: 'json'
	        , type: "post"
	        , cache: false
	        , async: true
	        , data: {
	            "clientInfo": JSON.stringify(platformInfo)
	            , "cmdCode": cmdCode
	            , "param": JSON.stringify(params)
	        }
	        , timeout: 5000
	        , success: function(result, textStatus) {
	        	AJAX = null;
	        	var data = unserializeJson(result);
	        	if(!data.success) {
					err&&err.call(this,data,data.resultCode,data.resultMessage);
	        	} else {
	        		callback&&callback.call(this, data, textStatus)
	        	}
	        }
	        , error: function(XMLHttpRequest, textStatus, errorThrown) {
	        	AJAX = null;
            	err&&err.call(this, XMLHttpRequest, textStatus, errorThrown)
	        }
	    });
	};
	win.checkSelector=function(selector){
		if(!selector){
			return null;
		}
		var func = function(){
			var tmpFunc = new Function("return "+selector);
			return tmpFunc();
		}();
		if(typeof func == "function"){
			return func;
		}
		return null;
	}
})(window,document,Zepto);
//var url = "http://180.96.8.92/strategyservice/image/showByName.htm?name=S_yszh001_20170615154224_769_size0.jpg";
//
//var img = new Image();
//
//img.src = url;
//
//if(img.complete||img.width) {
//
//  alert('该图片已经存在于缓存之中，不会再去重新下载');
//}