var curBrokerId = "";
var curAccountId = "";
var marketType = "";
var MARKET_SZ = "0",MARKET_SH = "1",MARKET_HK = "6",MARKET_US = "14";
function changeStockPosition(p) {
	var tmp = p || '0';
	var sign = "股";
	
	if(p == "0股") {
		return tmp;
	}
	
	tmp= tmp.replace('股','');
	
	var b=1,s="";
	if(Math.abs(tmp) >= 10000000000) {//亿
		b=100000000;
		s="亿";
	} else if(Math.abs(tmp) >= 1000000){ //百万
		b=10000;
		s="万";
	}
	return (Math.floor(tmp/b*1000)/1000) + s + sign;
};
function simpleNum(n){
	var tmp = n || '0',b=1,s="";
	
	if(Math.abs(tmp) >= 10000000000) {//亿
		b=100000000;
		s="亿";
	} else if(Math.abs(tmp) >= 1000000){ //百万
		b=10000;
		s="万";
	}
	
	return (Math.floor(tmp/b*1000)/1000).toFixed(2) +"<font class='measure'>"+s+"</font>";
};
function changeColor(n, isSimpleNum, holdMinus) {
	var tmp = n ? ''+n : '--';
	var sign = "";
	var color = "red";
	if(tmp.indexOf('--') > -1) {
		color = "red";
		return "<font color=\""+color+"\">"+tmp +"</font>";
	} else if(tmp.indexOf('-.-') > -1) {
		return "<font>"+tmp +"</font>";
	} else if(tmp < 0 || tmp.indexOf('-') > -1) {
		color = "#00cf4a";
	}
	var b = 1, s="", num=n;
	if(tmp.indexOf('%') > -1) {
		sign = '%';
		tmp= tmp.replace('%','');
		num=tmp;
	}
	
	if(isSimpleNum) {
		if(Math.abs(tmp) >= 10000000000) {//亿
			b=100000000;
			s="亿";
		} else if(Math.abs(tmp) >= 1000000){ //百万
			b=10000;
			s="万";
		}
		num = Math.floor(num/b*1000)/1000;
		if(!holdMinus) {
			num = Math.abs(num);
		}
		tmp = "<font color=\""+color+"\">"+ num.toFixed(2) +"<font class='measure'>"+s+"</font></font>";
	} else {
		num = Math.floor(num*1000)/1000;
		if(!holdMinus) {
			num = Math.abs(num);
		}
		tmp = "<font color=\""+color+"\">"+ num.toFixed(2) + sign +"</font>";
	}
	
	return tmp;
}
!(function(win,doc,$){
	//持仓收益
	win.pushTradingData = function(result) {
		result = unserializeJson(result)
		if (result == undefined 
			|| result == null) {
			console.log("空");
		} else {
			result=unserializeJson(result)
			var RMBJson = result.RMB;
			var HKDJson = result.HKD;
			var USDJson = result.USD;
			if(RMBJson != null) {
				var rmbBody = document.getElementsByName("RMB");
				pushData(rmbBody, RMBJson);
				rmbBody=null;
			}
			if(HKDJson != null) {
				var hkdBody = document.getElementsByName("HKD");
				pushData(hkdBody, HKDJson);
				hkdBody=null;
			}
			if(USDJson != null) {
				var usdBody = document.getElementsByName("USD");
				pushData(usdBody, USDJson);
				usdBody=null;
			}
		};
	};
	function pushData(e,d){
		
		for (var i=0; i<e.length; i++) {
			var ap = $(e[i]).find("[name=dMarketValue]");
			var tgal = $(e[i]).find("[name=dTodayIncome]");
			var sv = $(e[i]).find("[name=dStkValue]");
			var sm = $(e[i]).find("[name=dFundAvl]");
			var gal = $(e[i]).find("[name=dIncome]");
			var ci = $(e[i]).find("[name=currencyImg]");
			
			$(ap[0]).html(changeColor(d.dMarketValue,true));//人民币总资产
			$(tgal[0]).html(changeColor(d.dTodayIncome,true,true));//最新当日盈亏
			$(sv[0]).html(simpleNum(d.dStkValue));//总市值
			$(sm[0]).html(simpleNum(d.dFundAvl));//可用金额
			$(gal[0]).html(changeColor(d.dIncome,true,true));//浮动盈亏
			var tmpImg = "img/blank.png";
			if(d.CurrencyImg) {
				try {
					tmpImg = "data:image/png;base64,"+d.CurrencyImg;
				} catch(e) {}
			}
			$(ci[0]).attr("src",tmpImg);
		}
	};
	//【更多】区域控制
	var modifyChannel = function(brokerId) {
		$(".channelBody").remove();
		var options={id:"",style:"channelBody",group:false};
		switch (brokerId){
			case "10860101":
				options["group"]=true;
				shellChannel = channel_10860101();
				break;
			case "10320101":
				shellChannel = channel_10320101();
				break;
			case "10660101":
				shellChannel = channel_10660101();
				break;
			default:
				shellChannel = channel_normal(brokerId);
				break;
		}
		$("#channel").append(shellChannel.getUIData(options));
		
		//重大风险提醒
		if(["10220101"].indexOf(brokerId)>=0){
			var flag = window.localStorage.getItem("dgzq") || 0;
			if(flag < 3) {
				window.localStorage.setItem("dgzq", parseInt(flag)+1);
				var TIPS = '<div style="width: 100%;font-size:14px;"><span style="font-weight: 700;padding-bottom: 10px;font-size:16px;display: block;">重大风险提示</span><span style="display: block;padding-bottom: 10px;text-align: left;">【交易风险特别警示】欣泰电气因欺诈发行及信息披露违法违规受到中国证监会行政处罚。现公司股票名称为“*欣泰（300372）”，已于2016年7月12日开市起复牌，交易所将在复牌后三十个交易日期限届满后的次一交易日对其实施停牌，并按规定作出暂停其股票上市的决定。欣泰电气欺诈发行暂停上市后不能恢复上市，且创业板没有重新上市的制度安排。</span><span style="display: block;padding-bottom: 10px;text-align: left;">为保护投资者权益，警示交易风险，东莞证券自7月18日起至欣泰电气（300372）正式进入退市整理期前暂停其除营业部现场柜台委托外的其他委托买入方式（委托卖出方式不受影响），并提醒广大投资者特别关注该股票风险，谨慎操作。</span><span style="display: block;text-align: right;font-size: 13px;">东莞证券股份有限公司</span><span style="display: block;text-align: right;font-size: 13px;">2016年7月16日</span></div>'
				MESSAGER({},{},{mode:'sticker',borderradius:false},true).show(TIPS);
			}
		}
	}
	//账号&账号列表
	win.pushAccount = function(result) {
		if (result == undefined 
			|| result == null) {
			console.log("空");
		} else {
			result = unserializeJson(result)
			for(var i=0; i<result.length; i++) {
				if(result[i].Current == '1') {
					var tmpImg = "img/blank.png";
					if(result[i].BrokerImg){
						try {
							tmpImg = "data:image/png;base64,"+result[i].BrokerImg;
						} catch(e) {}
					}
					curBrokerId = result[i].BrokerID;
					curAccountId = result[i].AccountID;
					modifyChannel(result[i].BrokerID);
					$("#curBrokerName").html(result[i].BrokerName);
					$("#curBrokerCode span").html(result[i].AccountID);
					$("#curBrokerImg").attr("src",tmpImg);
				}
			}
		}
	}
	//持仓
	win.pushMajor=function(result) {
		$("#major").hide();
		$("#majorBody").empty();
		if(result != undefined && result != null && result.length > 0) {
			result=unserializeJson(result)
			$("#major").show();
			result.forEach(function(obj,i){
				$("#majorBody").append(createMajorItems(obj));
			})
		}
	}
	function createMajorItems(data){
		var $body=$("<li class='item'>").attr("data-windCode",data.windCode).attr("data-userCode",data.userCode);
		var $div1=$("<div>");
		var $div2=$("<div>");
		var $div3=$("<div>");
		var $div4=$("<div>");
		$body.append($div1).append($div2).append($div3).append($div4)
		$("<span>").html(data.stockName).appendTo($div1);// 股票名称
		$("<span>").html(simpleNum(data.dMktVal)).appendTo($div1);// 市值
		
		$("<span>").html(changeStockPosition(data.nStockQty)).appendTo($div2);// 当前拥股数(持仓)
		$("<span>").html(changeStockPosition(data.nStockAvl)).appendTo($div2);// 股份可用(可卖)
		
		$("<span>").html(data.nCostPrice).appendTo($div3);// 成本价格
		$("<span>").html(data.nNewPrice).appendTo($div3);// 最新价格
		
		$("<span>").html(changeColor(data.dIncome,true,true)).appendTo($div4);// 盈亏
		$("<span>").html(changeColor(data.dIncomePercent,false,true)).appendTo($div4);// 盈亏占比
		return $body;
	}

	//token
	var token
	,user_infoArr = ["mobile_phone","fund_account","user_id"]
	,temp_token_infoArr = ["encrypt_data"]
	,channel_from = "wind_app";
	win.setToken = function(result) {
		result = unserializeJson(result);
		var JsonParam = {};
		if(result["user_info"]) {
			for(var i=0; i<user_infoArr.length;i++) {
				JsonParam[user_infoArr[i]] = encodeURIComponent(result["user_info"][0][user_infoArr[i]]||'');
			}
		}
		if(result["temp_token_info"]) {
			for(var i=0; i<temp_token_infoArr.length;i++) {
				JsonParam[temp_token_infoArr[i]] = encodeURIComponent(result["temp_token_info"][0][temp_token_infoArr[i]]||'');
			}
		}
		token="&channel_from=wind_app";
		for(var key in JsonParam) {
			token+= "&"+key+'='+(JsonParam[key] || '');
		}
	}
	win.funcYWBL = function() {
		if(browser.versions.xcstock){
			windshell.bonree('922601560101','账号切换','');
		}
		var url = "https://wpt.xcsc.com/wind.html?target_url=/ywbl/wande.do"+token;
		window.location.href=url;
	}
	win.funcZCFX = function(){
		var url = "https://wpt.xcsc.com/wind.html?target_url=/xc/m1/trade/index.html%23%21/account/accountView.html"+token;
		window.location.href=url;
	}
	win.exit=function() {
		windshell.tradelogout(JSON.stringify(['all']))
	};
})(window,document,Zepto);
