;(function(win,doc,$){
	var u = navigator.userAgent;
	var MYUA = {
        mobile: !!u.match(/Mobile/), //是否为移动终端
        ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
        android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
        androidVer:u.substr(u.indexOf('Android') + 8, 3),
        wstock: !!u.match(/wstock/i),
        wstVer: u.match(/wstock_(\S+)_(\S+)_(\S+)/i), 
        wfund: !!u.match(/wfund/i),
        wfuVer: u.match(/wfund_(\S+)_(\S+)_(\S+)/i),
        wft: !!u.match(/wft wstock/i),
        weixin: !!u.match(/MicroMessenger/i),
        abn: !!u.match(/abn wstock/i)
	};
	var inputBlur = function(){
		var tag = false;
		if($(doc.activeElement)[0].tagName.toLowerCase() == "input") {
			tag=true;
		}
		$(doc.activeElement)[0].blur();
		return tag
	};
	//弹出框
	win.MESSAGER = function(buttons, header, options){
		var myAnimationEnd="animationend webkitAnimationEnd";
		var __shadow, __messager, __middle, __lockScroll = false;
		var mWidth = (win.innerWidth || document.documentElement.clientWidth || document.body.clientWidth) * 0.85;
		var mHeight = Math.min(win.innerHeight || document.documentElement.clientHeight || document.body.clientHeight);
		var __buttons = {
			
			"cancel":{
				"content":"CANCEL"
				,"callback":null
				,"disable":true
			}
			,"ok":{
				"content":"OK"
				,"callback":null
				,"disable":false
			}
			,"skip":{
				"content":"SKIP"
				,"callback":null
				,"disable":true
			}
		}
		var head = {
			"disable" :true
			,"content" : ""
		}
		var option = {
			scrolled : false
			,mode : 'alert' //toast||sticker
			,borderradius : true
			,shadowtouch : false //stocker模式触摸阴影区域关闭
			,unit : 'rem'
			,urod : 100
			,duration:""
		};
		JSONIntersection(option, options,true);
		JSONIntersection(__buttons, buttons,true);
		JSONIntersection(head, header,true);
		if (option.mode == 'sticker') {
			head.disable = true;
		}
		var inMode = MYUA.wstock||MYUA.wfund||MYUA.weixin; 
		var createTop = function(){
			var $t = $("<top>"
				,{"css":{
					"font-weight":(500 / option.urod) + option.unit
					,"font-size":(16 / option.urod) + option.unit
			}});
			
			if(!head.disable) {
				$t.text(head.content);
				$t.css("height",(30 / option.urod) + option.unit)
			} else {
				$t.css("height",(10 / option.urod) + option.unit);
			}
			return $t[0];
		};
		var createMiddle = function () {
			var $m = $("<middle>",{css:{"font-size":(15 / option.urod) + option.unit}});
			if(option.mode =="toast") {
				$m.css("min-height",(45 / option.urod) + option.unit);
			} else if(option.mode =='sticker') {
				$m.css({"display":"inline-block","width":"100%"});
			}else {
				$m.css({"max-height":(355 / option.urod) + option.unit,"margin-top":(10 / option.urod) + option.unit,"margin-bottom":(10 / option.urod) + option.unit});
			}
			return $m[0];
		};
		var createBottom = function(self){
			var $b = $("<bottom>",{"class":option.footclass,"css":{"height":(40 / option.urod) + option.unit,"font-size":(15 / option.urod) + option.unit}});
			
			var btnArr = [];
			var btnLength = getJsonLength(__buttons);
			for(var key in __buttons){
				(function(obj){
					if(!obj.disable) {
						var $btn = $("<btn>"
							,{
								"class":key
								,"html":obj.content
								,"css":{
									"-webkit-flex-basis":(mWidth - (btnLength-1))/btnLength + 'px'
									,"flex-basis":(mWidth - (btnLength-1))/btnLength + 'px'
									,"height":(40 / option.urod) + option.unit
								}
							}
						);
						
						if(obj.callback){
							$btn.one(ctrlType, function(e){
								
								self.hide(e);
								obj.callback.call(this);
							});
						} else {
							$btn.one(ctrlType, self.hide);
						}
						
						$b.append($btn);
						$btn = null;
					}
				})(__buttons[key]);
			}
			return $b[0];
		};
		var createMessager = function(self){
			__messager = document.createElement("messager");
			document.body.appendChild(__messager);
			if(option.borderradius) {
				__messager.style.borderRadius = (10 / option.urod) + option.unit;
			}
			var top,bottom;
			__middle = createMiddle();
			if(option.mode == 'toast') {
				if(option.duration){
					$(__messager).css({"animation-duration":option.duration,"-webkit-animation-duration":option.duration})
				}
				$(__messager).addClass("toast toast-fadeIn")
				$(__messager).on(myAnimationEnd,function(e){
					self.hide(e);
				});
			} else if (option.mode =='sticker'){
				__messager.classList.add("sticker");
				__messager.style.marginTop=(10 / option.urod) + option.unit;
				__messager.style.marginBottom=(10 / option.urod) + option.unit;
			
				__messager.classList.add('fadeIn');
				var btnClose = document.createElement("btnClose");
				__messager.appendChild(btnClose);
				$(btnClose).one(ctrlType, self.hide);
				btnClose = null;
			} else {
				__messager.classList.add("alert");
				__messager.classList.add('fadeIn');
				top = createTop();
				bottom = createBottom(self);
			}
			
			top = top || document.createElement("top");
			bottom = bottom || document.createElement("bottom");
			__messager.appendChild(top);
			__messager.appendChild(__middle);
			__messager.appendChild(bottom);
			
		};
		var scrollListener = function(e) {
			if(__lockScroll){
				e.preventDefault();
				e.stopPropagation();
			}
		};
		
		var MESSAGER = function() {
			var self  = this;
			
			self.show = function(msg){
				inputBlur();
				if(typeof msg == "object") {
					__middle.appendChild(msg);
				} else {
					$(__middle).html(msg);
				}
				__messager.classList.add("show");
				if(option.mode != "toast") {
					if(!inMode) {
						__shadow.classList.add("in-browser");
					}
					__shadow.classList.add("show");
					if(__messager.offsetHeight >= mHeight) {
						__messager.style.top = "0px";
					} else {
						__messager.style.marginTop = '-'+(__messager.offsetHeight/2)+'px';
					}
					if(option.mode == "alert") {
						if(head.disable) {
							$(__middle).css({"font-weight":"900","color":"rgb(0,0,0)"});
						}
					}
					if(!option.scrolled){
						__lockScroll = true;
						$(__shadow).on("touchmove", scrollListener);
					}
				}
			};
			self.hide = function(e){
				e.stopPropagation();
				
				if(option.mode != "toast") {
					$(__messager).one(myAnimationEnd,function(){
						$(__shadow).remove();
						$(__messager).remove();
						__shadow=null;
						__messager=null;
					});
					$(__messager).addClass("fadeOut");
					__lockScroll = false;
					$(__shadow).off("touchmove", scrollListener);
				} else {
					$(__shadow).remove();
					$(__messager).remove();
					__shadow=null;
					__messager=null;
				}
			};
			if(!__messager){
				createMessager(self);
			}
			if(option.mode !='toast') {
				__shadow = document.createElement("shadow");
				document.body.appendChild(__shadow);
				if(option.mode =='sticker' && option.shadowtouch){
					$(__shadow).one(ctrlType, self.hide);
				}
			}
			return self;
		};
		return new MESSAGER();
	};
	//LOADER.show()
	//var loader = new LOADER();
	win.LOADER = function(options){
		var cls= "loading";
		
		var $bg = $("<loader>",{
				"id":new Date().getTime()
				,"class":cls
				,"css":{
					"display":"none"
				}
			}
		);
		var $l,$r;
		var __lockScroll = false;
		var option = {
			scrolled : false
			,autohide : false
			,duration : 6500
			,margin:true
			,loadcontent:"载入中..."
		};
		var inMode = MYUA.wstock||MYUA.wfund||MYUA.weixin; 
		for (var key in options) {
	        if (options.hasOwnProperty(key)) {
	            if(key == "duration") {
	            	option[key] = options[key] || 6500;
	            } else {
	            	option[key] = options[key];
	            }
	        }
	   	};
	    if(option.margin) {
		    if(!inMode) {
		    	$bg.addClass("in-browser");
			}
	    }
		var scrollListener = function(e) {
			if(__lockScroll){
				e.preventDefault();
				e.stopPropagation();
			}
		};
		var append = function() {
			inputBlur();
			$bg.show();
		}
		
		var LOADER = function(){
			var self = this;
			this.show = function(fn) {
		   		append();
		   		$bg.removeClass("redo");
		   		$l.show();
		   		$r.hide();
				if(!option.scrolled){
					__lockScroll = true;
					$("body").on("touchmove", scrollListener);
				}
				if(option.autohide) {
					var t = setTimeout(function(){
						clearTimeout(t);
						self.hide(fn);
					},option.duration);
				} else {
					if (fn) {
						fn.call(self);
					}
				}
			};
			this.hide = function(fn) {
				if (fn) {
					fn.call(fn);
				}
				$bg.hide();
				__lockScroll = false;
				$("body").off("touchmove", scrollListener);
			};
			this.redo = function(fn){
				append();
				$l.hide();
				$r.show();
				$bg.addClass("redo");
				if(fn) {
					$r.one(ctrlType,fn);
				}
				if(!option.scrolled){
					__lockScroll = true;
					$("body").on("touchmove", scrollListener);
				}
			};
			$l = $("<div>",{"class":"ball-clip-rotate","css":{"display":"none"}});
			for(var i = 0; i <1 ;i++) {
				$l.append("<div></div>");
				$l.append("<span>"+option.loadcontent+"</span>");
			}
			$bg.append($l);
			
			$r = $("<div>",{"class":"btn-commit redo","css":{"display":"none","text-align":"center"}});
			
			var $img = $("<img>",{"class":"bglogo","src":"img/icon_tips.png"});
			var $content = $("<span>",{"text":"点击屏幕，重新加载"});
			$r.append($img);
			$r.append($content);
			$bg.append($r);
//			$r.one(ctrlType,function(e){
//				self.show();
//			});
			$("body").append($bg);
			return self;
		}
		
		return new LOADER();
	};
	//上拉加载，下拉刷新
	//scroller = new SCROLL(
	//	"swiper"
	//	,{
	//		pullUp:{
	//			enable:true
	//			,fn:function(){}
	//		}
	//	}
	//);
	win.SCROLL = function(target, options){
		
		var obj = (typeof target === 'string') ? document.getElementById(target) : target;
		var option = {
			pullUp :{
				enable:false
				,fn:null
			}
			,pullDown:{
				enable:false
				,fn:null
			}
		}
		
		for (var key in options) {
	        if (options.hasOwnProperty(key)) {
	        	option[key] = options[key];
	        }
	   	};
		for (var key in options.pullDown) {
	        if (options.pullDown.hasOwnProperty(key)) {
	        	option.pullDown[key] = options.pullDown[key] || 3000;
	        }
	   	};
	   	for (var key in options.pullUp) {
	        if (options.pullUp.hasOwnProperty(key)) {
	        	option.pullUp[key] = options.pullUp[key];
	        }
	   	};
	   	var self  = this;
		var loadMore = document.createElement("load-more");
		loadMore.id = new Date().getTime();
		loadMore.classList.add("loadMore");
		$(loadMore).html("加载更多");
		$(obj).append(loadMore);
		
		self.t;
	   	self.doLoad = true;
	   	this.stoper = function(){
			win.clearTimeout(self.t);
			self.doLoad = true;
			self.t=null;
			$(loadMore).html('加载更多');
		}
	   	this.noMore = function(){
	   		win.clearTimeout(self.t);
			self.doLoad = false;
			self.t=null;
			$(loadMore).html('暂无更多内容');
		}
	   	this.timeOut = function(){
			$(loadMore).html('链接超时');
		}
	   	this.loading = function(){
			$(loadMore).html('加载中...');
			self.doLoad = true;
			clear();
		}
		this.reset = function(){
			$(loadMore).html('');
			self.doLoad = true;
			clear();
		}
		this.remove=function(){
			win.clearTimeout(self.t);
			$(obj).off("touchstart");
			$(obj).off("touchend");
			$(obj).off("touchmove");
		}
	   	loadMore.addEventListener(ctrlType,function(e){
			loadData();
	   	},false);
	   	$(obj).on("touchstart",function(e){
			if(!(self.doLoad && (option.pullUp.enable || option.pullDown.enable))) {
				return;
			}
			var touch = e.targetTouches[0];
			startPosition={
				X:touch.clientX
				,Y:touch.clientY
				,scrollTop:document.body.scrollTop
				//可视范围高度
				,clientHeight:Math.min(document.body.clientHeight, document.documentElement.clientHeight)
			};
			$(obj).on("touchend",touchend);
			$(obj).on("touchmove",touchmove);
		});
		
		var touchmove = function(e) {
			e.stopPropagation()
			var touch = e.targetTouches[0];
			endPosition={
				X:touch.clientX
				,Y:touch.clientY
				//当前滚动条位置
				,scrollTop:document.body.scrollTop
				//完整高度
				,scrollHeight:Math.max(document.body.scrollHeight, document.documentElement.scrollHeight)
				
			};
			if(endPosition.Y < startPosition.Y){
				if(endPosition.scrollTop + startPosition.clientHeight >= (endPosition.scrollHeight-300)) {
					loadData();
				}
			}
		}
		var touchend = function(e) {
			clear();
			$(obj).off("touchmove",touchmove);
			$(obj).off("touchend",touchend);
		}
		var loadData = function() {
			if(option.pullUp.enable && self.doLoad){
				$(loadMore).html("加载中...");
				self.doLoad = false;
				if(option.pullUp.fn){
		   			option.pullUp.fn.call(this);
		   		}
				clear();
			}
		}
		var clear = function(){
			if(!self.t) {
				self.t = setTimeout(
					function(){
						win.clearTimeout(self.t);
						self.t = null;
						self.doLoad = true;
						$(loadMore).html('加载更多');
					}
					,5000);
			}
		}
	};
	win.SWIPER = function(target, options,callback,currentIndex) {
		var myTransitionEnd="transitionend webkitTransitionEnd"
		var myTransform=["transform","webkitTransform"],myTransitionduration=["transitionDuration","webkitTransitionDuration"];
		var option = {
			isloop : false
			,defwidth : 0
			,delay : 0
			,autolooptimes:0/*0or不设置不做限制 1为一轮*/
		}
		this.callback = callback || '';
		JSONIntersection(option, options,true);
		if(option.delay) {
			option.isloop = true;
			option.delay = Math.max(1500, option.delay);
		}
		option.autolooptimes = option.autolooptimes || 0;
		var self  = this;
		var mainEle = document.getElementById(target);
		mainEle.style.width=window.innerWidth+'px';
		var blockItems = mainEle.getElementsByClassName("blockItems");
		var osd = mainEle.getElementsByClassName("outSide");
		var curIndex = 0;//当前索引
		var deltaX = 0;//将显示的区域置为第一页
		var errate = option.isloop == true ? 1 : 0;
		
		var sw = option.defwidth || mainEle.offsetWidth;//计算宽度
		for (var i = 0 ; i < blockItems.length; i++) {//固定宽度
			blockItems[i].style.width = sw + 'px';
			blockItems[i].style.display = "inline-block";
		}
		if(blockItems.length <= 1) {
			if(self.callback) {
				doCallback();
			}
			return;
		}
		
		var TIMER = {
			timer:null
			,times:0
			,start:function(){
				if(option.delay) {
					this.timer = setInterval(function(){
						if(option.autolooptimes > 0){
							if(TIMER.times > 0) {
								self.forward(1);
								TIMER.times--;
							} else {
								TIMER.stop();
							}
						} else {
							self.forward(1);
						}
						
					},option.delay);
				}
			}
			,stop:function(){
				if(this.timer) {
					clearInterval(this.timer)
				}
			}
		}
		TIMER.times = option.autolooptimes * blockItems.length;
		if(option.isloop) {
			//复制第一个 和最后一个区域，作为缓冲动画
			var addBengin = blockItems[blockItems.length-errate].outerHTML;
			var addEnd = blockItems[0].outerHTML;
			osd[0].insertAdjacentHTML("afterBegin", addBengin);//将最后一个区域，插入第一区域之前
			osd[0].insertAdjacentHTML("beforeEnd", addEnd);//将第一区域，插入最后区域之后
			curIndex += errate;
			osd[0].style[myTransform[0]] = "translate(-"+ (sw) +"px, 0px)";
			osd[0].style[myTransform[1]] = "translate(-"+ (sw) +"px, 0px)";
		} else {
			osd[0].style[myTransform[0]] = "translate(0px, 0px)";
			osd[0].style[myTransform[1]] = "translate(0px, 0px)";
		}
		osd[0].style.width = blockItems.length * sw + "px";
		var oss = mainEle.getElementsByClassName("outSide");
		var ctrls = mainEle.getElementsByClassName("block-ctrls");
		if(ctrls.length > 0) {
			ctrls[0].innerHTML = "<ul></ul>";
			var innerUL = ctrls[0].getElementsByTagName("ul");
			
			for (var i=0; i<blockItems.length-(errate*2); i++) {
				var li = document.createElement("li");
				innerUL[0].appendChild(li);
			}
		}
		
		self.forward = function (index){
			self.moveTo(curIndex + index);
		}
		self.moveTo = function (index){
			curIndex = index;
			if(self.callback){
				$(osd[0]).on(myTransitionEnd, doCallback);
	        }
			move();
		}
		self.remove=function(){
			TIMER.stop();
			$(mainEle).off("touchstart");
		}
		
		resetCtrls(curIndex);
		
		function touchstart(e){
			var touch = e.targetTouches[0] || e.touches[0];
			TIMER.stop();
	        startPosition = {
	            x: touch.clientX,
	            y: touch.clientY,
	            d: new Date().getTime()
	        },
	        basePosition = {
	        	x: touch.clientX,
	            y: touch.clientY,
	            forward: ''
	        }
	        deltaX = 0;
	        mainEle.style[myTransitionduration[0]] ="0s";
	        mainEle.style[myTransitionduration[1]] ="0s";
	        $(mainEle).on("touchend", touchend);
	        $(mainEle).on("touchmove", touchmove);
	        if(self.callback){
	        	$(osd[0]).on(myTransitionEnd, doCallback);
	        }
		}
		function touchmove(e){
			var touch = e.targetTouches[0] || e.touches[0];
	        endPosition = {
	            x: touch.clientX,
	            y: touch.clientY
	        }
	        
			deltaX = endPosition.x - basePosition.x;
			deltaY = endPosition.y - basePosition.y;
			 
			if(Math.abs(deltaX) > Math.abs(deltaY)){
				basePosition.forward = basePosition.forward || 'x';
			} else {
				basePosition.forward = basePosition.forward || 'y';
			}
	    	if(basePosition.forward == 'x') {
	    		e.preventDefault();
	    	} else {
	    		e.stopPropagation();
	    		return;
	    	}
	    	
	      	var wtf = oss[0].style[myTransform[1]] ||  oss[0].style[myTransform[0]];
	      	wtf = wtf.replace(" ","");
	      	var swtf = wtf.indexOf("(");
	      	var ewtf = wtf.indexOf("px");
	    	var curX = new Number(wtf.substr(swtf+1, ewtf-swtf-1));
	     	curX+=(endPosition.x - startPosition.x);
	   		oss[0].style[myTransform[0]] = "translate("+ curX +"px, 0px)";
	   		oss[0].style[myTransform[1]] = "translate("+ curX +"px, 0px)";
	       	startPosition.x = endPosition.x;
		}
		function touchend(e) {
			
			if(deltaX != 0 && basePosition.forward == 'x'){
			
				var end = new Date().getTime();
				if(Math.abs(deltaX) >= (sw/3.5) || (end - startPosition.d) < 200) {
					if(deltaX > 0 ) { // right
						if(option.isloop) {
							curIndex--;
						} else {
							if(curIndex > 0) {
								curIndex--;
							}
						}
					} else if (deltaX < 0) {//left
						if(option.isloop) {
							curIndex++;
						} else {
							if(curIndex < blockItems.length-1) {
								curIndex++;
							}
						}
					}
				}
				move();
			}
			$(mainEle).off("touchend",touchend);
			$(mainEle).off("touchmove", touchmove);
			if(option.autolooptimes > 0) {
				option.delay = 0;
			}
		 	TIMER.start();
		}
		function move(){
			oss[0].style[myTransitionduration[0]] =".4s";
			oss[0].style[myTransitionduration[1]] =".4s";
			oss[0].style[myTransform[0]] = "translate(-"+ (curIndex * sw) +"px, 0px)";
			oss[0].style[myTransform[1]] = "translate(-"+ (curIndex * sw) +"px, 0px)";
			
			if(curIndex >= blockItems.length-1) {
				if(option.isloop) {
					curIndex = 1;
				} else {
					curIndex = blockItems.length-1;
				}
				setTimeout(function(){
					oss[0].style[myTransitionduration[0]] ="0s";
					oss[0].style[myTransitionduration[1]] ="0s";
					oss[0].style[myTransform[0]] = "translate(-"+(curIndex * sw)+"px, 0px)";
					oss[0].style[myTransform[1]] = "translate(-"+(curIndex * sw)+"px, 0px)";
				},605);
			} else if (curIndex <= 0){
				if(option.isloop) {
					curIndex = blockItems.length-(errate*2);
				} else {
					curIndex = 0;
				}
				setTimeout(function(){
					oss[0].style[myTransitionduration[0]] ="0s";
					oss[0].style[myTransitionduration[1]] ="0s";
					oss[0].style[myTransform[0]] = "translate(-"+(curIndex * sw)+"px, 0px)";
					oss[0].style[myTransform[1]] = "translate(-"+(curIndex * sw)+"px, 0px)";
				},605);
			}
			resetCtrls(curIndex);
		}
		function doCallback(){
			$(osd[0]).off(myTransitionEnd, doCallback);
			self.callback.call(this, curIndex-errate);
		}
		function resetCtrls(curIndex) {
			if(ctrls.length > 0) {
				var li = ctrls[0].getElementsByTagName("li");
				for(var i=0; i<li.length; i++){
					if(i == curIndex-errate) {
						li[i].className = "current";
					} else {
						li[i].className = "";
					}
				}
			}
		}
		$(mainEle).on("touchstart",touchstart);
		if(currentIndex) {
			self.moveTo(currentIndex);
		}
		if(self.callback) {
			doCallback();
		}
		TIMER.start();
		
		return self;
	};


//目前使用index的iframe的方式整合几个单页,以下方式为每个单页嵌入tab栏目
//	win.maintabInit = function(index){
//	  var d = document.createElement('div');
//  document.body.appendChild(d);
//  $('body').css('padding-bottom','0.5rem');
//	  $(d).load('maintab.html',function(){	    
//    $($('.maintab ul li')[index]).addClass('active');
//	  });
//	}
})(window,document,Zepto);

  
