package kotlinextend

import android.view.View
import android.widget.TextView

/**
 * # **********************************************************************************************
 * # ClassName:      ViewUtil
 * # Description:    WindStockDev
 * # Author:         wplin
 * # Version:        Ver 1.0
 * # **********************************************************************************************
 * # Modified By:    wplin     2019/11/26    10:49
 * # Modifications:  initial
 * # **********************************************************************************************
 */

fun View.viewInvisible() {
    visibility = View.INVISIBLE
}

fun View.viewGone() {
    visibility = View.GONE
}

fun View.viewVisible() {
    visibility = View.VISIBLE
}

fun TextView.addTextWatcher(listenerInit: TextWatcherImpl.() -> Unit) {
    val listener = TextWatcherImpl()
    listener.listenerInit()
    this.addTextChangedListener(listener)
}