package wind.android.bussiness.trade.abstocktrade.manager

/**
 * # ***********************************************************************************************
 * # ClassName:       OnAbBankResultListener.kt
 * # Description:     ab股交易 银证转账专用
 * # @author:         ylrong
 * # @version:        Ver 1.0
 * # Create Date:     2019/11/18 日 18:55
 * # ***********************************************************************************************
 */
interface OnAbBankResultListener<T> : OnAbResultListener<T> {
    /**
     * 银行信息
     *
     * @param obj
     */
    fun onBankInfo(obj: Any?)

    /**
     * 银行余额
     *
     * @param obj
     */
    fun onBankMoney(obj: Any?)

    /**
     * 银证转账
     *
     * @param obj
     */
    fun onBankTransfer(obj: Any?)
}