package wind.android.bussiness.trade.abstocktrade.manager

import wind.android.bussiness.trade.hmg.manager.TradeError

/**
 * # ***********************************************************************************************
 * # ClassName:       OnAbResultListener.kt
 * # Description:     ab股交易 通用回调处理
 * # @author:         ylrong
 * # @version:        Ver 1.0
 * # Create Date:     2019/11/18 日 18:55
 * # ***********************************************************************************************
 */
interface OnAbResultListener<T> {

    /**
     * 正常接口回调 data为model数组
     *
     * @param data
     */
    fun onCallback(data: T?)

    /**
     * 错误回调
     *
     * @param error
     * @param message 错误提示信息
     */
    fun onError(@TradeError.Error error: Int, message: String?)
}