package wind.android.bussiness.trade.abstocktrade.view

/**
 * # **********************************************************************************************
 * # ClassName:      IBaseTradeView
 * # Description:    WindStockDev
 * # Author:         wplin
 * # Version:        Ver 1.0
 * # **********************************************************************************************
 * # Modified By:    wplin     2019/11/19    11:09
 * # Modifications:  initial
 * # **********************************************************************************************
 */

interface IBaseTradeView {
    /**
     * 展示进度条
     */
    fun showLoading()

    /**
     * 隐藏进度条
     */
    fun hideLoading()

    /**
     * 错误消息
     *
     * @param errorType 错误类型
     * @param msg 错误信息
     */
    fun errorMsg(errorType: Int, msg: String?)
}