package wind.android.f5.bussiness.investor.model

import android.os.Parcel
import android.os.Parcelable

/**
 * # ***********************************************************************************************
 * # ClassName:      InvestorSourceModel$
 * # Function:       ${TODO}  ADD FUNCTION
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2020/1/21$    14:52$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class InvestorSourceModel : Parcelable {

    val spell = mutableListOf<String>()

    val product = mutableListOf<String>()

    val unitinfo = mutableListOf<String>()

    val language = mutableListOf<String>()

    val sectercode = mutableListOf<String>()

    val path = mutableListOf<String>()

    val unit = mutableListOf<String>()

    val newslevel = mutableListOf<String>()

    val industrycode = mutableListOf<String>()

    val alias = mutableListOf<String>()

    val siteid = mutableListOf<String>()

    val publishdate = mutableListOf<String>()

    val fullspell = mutableListOf<String>()

    fun getSpellValue(): String {
        return spell.elementAtOrNull(0) ?: ""
    }

    fun getProductValue(): String {
        return product.elementAtOrNull(0) ?: ""
    }

    fun getUnitInfoValue(): String {
        return unitinfo.elementAtOrNull(0) ?: ""
    }

    fun getLanguageValue(): String {
        return language.elementAtOrNull(0) ?: ""
    }

    fun getSecterCodeValue(): String {
        return sectercode.elementAtOrNull(0) ?: ""
    }

    fun getPathValue(): String {
        return path.elementAtOrNull(0) ?: ""
    }

    fun getUnitValue(): String {
        return unit.elementAtOrNull(0) ?: ""
    }

    fun getNewsLevelValue(): String {
        return newslevel.elementAtOrNull(0) ?: ""
    }

    fun getIndustryCodeValue(): String {
        return industrycode.elementAtOrNull(0) ?: ""
    }

    fun getAliasValue(): String {
        return alias.elementAtOrNull(0) ?: ""
    }

    fun getSiteidValue(): String {
        return siteid.elementAtOrNull(0) ?: ""
    }

    fun getPublishDateValue(): String {
        return publishdate.elementAtOrNull(0) ?: ""
    }

    fun getFullSpellValue(): String {
        return fullspell.elementAtOrNull(0) ?: ""
    }

    override fun writeToParcel(parcel: Parcel, flags: Int) {
        parcel.writeStringList(spell)
        parcel.writeStringList(product)
        parcel.writeStringList(unitinfo)
        parcel.writeStringList(language)
        parcel.writeStringList(sectercode)
        parcel.writeStringList(path)
        parcel.writeStringList(unit)
        parcel.writeStringList(newslevel)
        parcel.writeStringList(industrycode)
        parcel.writeStringList(alias)
        parcel.writeStringList(siteid)
        parcel.writeStringList(publishdate)
        parcel.writeStringList(fullspell)
    }

    override fun describeContents(): Int {
        return 0
    }

    companion object CREATOR : Parcelable.Creator<InvestorSourceModel> {
        override fun createFromParcel(parcel: Parcel): InvestorSourceModel {
            val model = InvestorSourceModel()
            parcel.readStringList(model.spell)
            parcel.readStringList(model.product)
            parcel.readStringList(model.unitinfo)
            parcel.readStringList(model.language)
            parcel.readStringList(model.sectercode)
            parcel.readStringList(model.path)
            parcel.readStringList(model.unit)
            parcel.readStringList(model.newslevel)
            parcel.readStringList(model.industrycode)
            parcel.readStringList(model.alias)
            parcel.readStringList(model.siteid)
            parcel.readStringList(model.publishdate)
            parcel.readStringList(model.fullspell)
            return model
        }

        override fun newArray(size: Int): Array<InvestorSourceModel?> {
            return arrayOfNulls(size)
        }
    }
}