package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceF9TitleModel$
 * # Function:       财务-内容数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/6$    13:27$
 * # Modifications:  initial
 * # ***********************************************************************************************
 * mId:id
 * mMarketPercent：销售百分比
 * mAssetPercent：资产百分比
 * mCompare：同比
 * mQuarterCompare： 环比
 */
data class FinanceF9ContentModel @JvmOverloads constructor(var mId: String = "", var type: String = "", var srcField: String = "",
                                                           var mMarketPercent: String = "",var mAssetPercent: String = "",
                                 var mCompare: String = "",var mQuarterCompare: String = "",var mValue: String = "") : Cloneable {

    companion object {
        // type为currency，需要计算汇率
        const val TYPE_OF_CURRENCY = "currency"
    }

    fun createClone(): FinanceF9ContentModel {
        return this.clone() as FinanceF9ContentModel
    }

}