package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceF9TitleModel$
 * # Function:       标题数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/12/6$    13:27$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
data class FinanceF9TitleModel(var mTitle: String = "", var mIsGroup: Boolean = false, var mId: String = "", var mType: String = "") {

    companion object {
        const val TYPE_DOUBLE = "Double"

        const val TYPE_FLOAT = "Float"

        const val TYPE_INTEGER = "Integer"

        const val TYPE_LONG = "Long"

        const val TYPE_DATE = "date"

        const val TYPE_STRING = "string"

        const val TYPE_CURRENCY = "currency"

        const val TYPE_QUARTER = "quarter"

    }

}