package wind.android.f5.view.bottom.subview.finance.model

/**
 * # ***********************************************************************************************
 * # ClassName:      FinanceReportDetailModel
 * # Function:       关键指标数据类
 * # @author         ybxie$
 * # @version        Ver 1.0
 * # ***********************************************************************************************
 * # Modified By     ybxie$     2019/11/27$    9:14$
 * # Modifications:  initial
 * # ***********************************************************************************************
 */
class FinanceReportDetailModel {

    val mReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 全部报告
     */
    val mAllReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 一季报
     */
    val mFirstReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 中报
     */
    val mMiddleReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 三季报
     */
    val mThirdReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 年报
     */
    val mYearReportList = mutableListOf<MutableList<FinanceKeyIndexModel>>()

    /**
     * 全部标题
     */
    val mAllReportTitles  = mutableListOf<String>()

    /**
     * 一季报标题
     */
    val mFirstReportTitles = mutableListOf<String>()

    /**
     * 中报标题
     */
    val mMiddleReportTitles = mutableListOf<String>()

    /**
     * 三季报标题
     */
    val mThirdReportTitles = mutableListOf<String>()

    /**
     * 年报标题
     */
    val mYearReportTitles = mutableListOf<String>()
}