package wind.android.f5.view.bottom.subview.index

/**
 * # **********************************************************************************************
 * # ClassName:      IF5IndexSubView
 * # Description:    大盘指数F5订阅列表view
 * # Author:         wplin
 * # Version:        Ver 1.0
 * # **********************************************************************************************
 * # Modified By:    wplin     2020/2/25    19:09
 * # Modifications:  initial
 * # **********************************************************************************************
 */

interface IF5IndexSubView<T> {
    fun updateListAll(listData: List<T>?)
    fun updateListByPosition(position: Int)
    fun showProgress()
    fun hideProgress()
    fun onError(errorMsg: String?)
}